//
//  BackgroundLayer.h
//  Boise_Demo
//
//  Created by Jared Halpern on 3/3/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "Constants.h"
#import "PowerupObject.h"
#import "GameplayLayer.h"
#import "GameScene.h"


@interface BackgroundLayer : CCLayer {

    int levelNumber;
    CGSize screenSize;
    b2World *world;
    CCSpriteBatchNode *gameSceneSpriteBatchNode;
    
}

@property (readwrite) int levelNumber;
@property (readwrite, assign) b2World *world;

@end
