//
//  Constants.h
//  Boise_Demo
//
//  Created by Jared Halpern on 3/2/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Box2D.h"

@protocol Constants <NSObject>

#define DEBUG_ON 1
#define kPlayerTag 0
#define PTM_RATIO ((UI_USER_INTERFACE_IDIOM() == UIUserInterfaceIdiomPad) ? 100.0 : 32.0) // scale down for iphone
#define LEVEL_1_WIDTH 480
#define LEVEL_1_HEIGHT 320

typedef enum {
    kSceneTypeNoSceneUninitialized,
    kSceneTypeMainMenu,
    kSceneTypeOptions,
    kSceneTypeIntro,
    kSceneTypeGame,
    kSceneTypeDeath
    
} SceneTypes;


typedef enum{
    kLayerTagBackground,
    kLayerTagGameplay,
    kLayerTagButton,
    kLayerTagMenu
} LayerTags;

typedef enum{
    kGameObjTypeEnemy,
    kGameObjTypePlayer,
    kGameObjTypePowerup
} GameObjectType;

typedef enum{
    kStateDead,
    kStateAlive,
    kStateRunNorth,
    kStateRunNorthEast,
    kStateRunEast,
    kStateRunSouthEast,
    kStateRunSouth,
    kStateRunSouthWest,
    kStateRunWest,
    kStateRunNorthWest
} ObjectStates;



@end
