//
//  DogPlayerObject.h
//  Boise_Demo
//
//  Created by Jared Halpern on 3/7/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Box2DSprite.h"

@interface DogPlayerObject : Box2DSprite {
 
    CCAnimation *runNorthAnim;
    CCAnimation *runNorthEastAnim;
    CCAnimation *runEastAnim;
    CCAnimation *runSouthEastAnim;
    CCAnimation *runSouthAnim;
    CCAnimation *runSouthWestAnim;
    CCAnimation *runWestAnim;
    CCAnimation *runNorthWestAnim;
    
    float playerLife;
}

@property (nonatomic, retain) CCAnimation *runNorthAnim;
@property (nonatomic, retain) CCAnimation *runNorthEastAnim;
@property (nonatomic, retain) CCAnimation *runEastAnim;
@property (nonatomic, retain) CCAnimation *runSouthEastAnim;
@property (nonatomic, retain) CCAnimation *runSouthAnim;
@property (nonatomic, retain) CCAnimation *runSouthWestAnim;
@property (nonatomic, retain) CCAnimation *runWestAnim;
@property (nonatomic, retain) CCAnimation *runNorthWestAnim;

@property (readwrite) float playerLife;


-(void)initAnimationsForObject;
-(void)changeState:(ObjectStates)newState;

@end
