#!/bin/sh

#  PackTextures.sh
#  Boise_Demo
#
#  Created by Jared Halpern on 3/7/12.
#  Copyright 2012 __MyCompanyName__. All rights reserved.
#
# Because manually rebuilding sprite-sheets is for chumps.

#!/bin/sh

TP="/usr/local/bin/TexturePacker"

if [ "${ACTION}" = "clean" ]
then
echo "cleaning..."

# all files to be removed in clean phase

rm resources/red_dog.png
rm resources/red_dog.plist

rm resources/Misc_GameObjects.png
rm resources/Misc_GameObjects.plist

else
echo "building..."

# create assets
${TP} --smart-update \
--format cocos2d \
--data resources/red_dog.plist \
--sheet resources/red_dog.png \
--dither-fs-alpha \
--opt RGBA4444 \
../../../Boise/ProgrammingTestAssets/dog_images/*.png

${TP} --smart-update \
--format cocos2d \
--data resources/Misc_GameObjects.plist \
--sheet resources/Misc_GameObjects.png \
--dither-fs-alpha \
--opt RGB565 \
../../../Boise/ProgrammingTestAssets/Misc_GameObjects/*.png

fi
exit 0
