//
//  BackgroundLayer.m
//  Boise_Demo
//
//  Created by Jared Halpern on 3/3/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import "BackgroundLayer.h"


@implementation BackgroundLayer

@synthesize levelNumber;
@synthesize world;

# pragma mark -
# pragma mark Init

-(void)dealloc{
    
    [super dealloc];    
}

-(id)init{
    
    self = [super init];
    
    if (self != nil){
    
        CCSprite *backgroundImage;
        screenSize = [[CCDirector sharedDirector] winSize];
        
//        GameScene *tempScene = (GameScene *)[self parent];
//        world = (b2World *)[tempScene world];
        
        [[CCSpriteFrameCache sharedSpriteFrameCache] addSpriteFramesWithFile:@"MasterSpriteAtlas.plist"];
        gameSceneSpriteBatchNode = [CCSpriteBatchNode batchNodeWithFile:@"MasterSpriteAtlas.png"];        
        
        CGRect repeatRect = CGRectMake(0, 0, LEVEL_1_WIDTH*4, LEVEL_1_HEIGHT*4);
        
        // optimize by adding sprite to an otherwise empty wrapping sprite. quirky cocos2d.
        backgroundImage = [CCSprite spriteWithFile:@"bricks_blue_small.png" rect:repeatRect];
        
        ccTexParams params = {GL_LINEAR, GL_LINEAR, GL_REPEAT, GL_REPEAT};
        
        [backgroundImage setPosition:CGPointMake(screenSize.width/2, screenSize.height/2)];        
        [backgroundImage.texture setTexParameters:&params];

        // set z tags to zero for now
        [self addChild:backgroundImage z:0];

    }
    
    CCLOG(@"Backgroundlayer initialized.");
    
    return self;
}

@end
