//
//  EnemyObject.h
//  Boise_Demo
//
//  Created by Jared Halpern on 3/7/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Box2DSprite.h"
#import "DogPlayerObject.h"

@interface EnemyObject : Box2DSprite {
    
    CCAnimation *moveEastAnim;
    CCAnimation *eatEastAnim;
    CCAnimation *dieEastAnim;
    
    CGPoint oldDest;
    CGPoint newDest;
    
}


@property (nonatomic, retain) CCAnimation *moveEastAnim;
@property (nonatomic, retain) CCAnimation *dieEastAnim;
@property (nonatomic, retain) CCAnimation *eatEastAnim;

-(void)initAnimationsForObject;

@end
