//
//  GameManager.h
//  Boise_Demo
//
//  Created by Jared Halpern on 3/2/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
//#import "Constants.h"
#import "GameScene.h"

@interface GameManager : NSObject {
    
    // put BOOL's for player being alive, sound on/off, music on/off
    
    BOOL isMusicOn;
    BOOL isSoundOn;
    BOOL playerDied;
    
    SceneTypes currentScene;
}

@property (readwrite) BOOL isMusicOn;
@property (readwrite) BOOL isSoundOn;
@property (readwrite) BOOL playerDied;

// class level; singleton pattern..
+(GameManager*)sharedGameManager;

-(void)runSceneWithID:(SceneTypes)sceneID;

-(CGSize)getDimensionsOfCurrentScene;



@end
